# QShared Class Reference

The QShared struct is internally used for implementing shared classes. More...

`#include <qshared.h>`

List of all member functions.

## Detailed Description

The QShared struct is internally used for implementing shared classes.

It only contains a reference count and member functions to increment and decrement it.

Shared classes normally have internal classes that inherit QShared and add the shared data.

See also: Shared Classes

Search the documentation, FAQ, qt-interest archive and more (uses www.troll.no):

This file is part of the Qt toolkit, copyright © 1995-99 Troll Tech, all rights reserved.

It was generated from the following files:

- qshared.h: 1998/07/03
- qgarray.cpp: 1998/07/03